import request from '@/utils/request'

export function addOrUpdateTrial(param) {
  return request({
    url: '/Inspection/trial/addOrUpdateTrial',
    method: 'post',
    data: param
  })
}

export function updateTrialState(param) {
  return request({
    url: '/Inspection/TrialConfig/updateTrialState',
    method: 'post',
    data: param
  })
}

export function userConfirm(param) {
  return request({
    url: '/Inspection/TrialDocument/userConfirm',
    method: 'post',
    data: param
  })
}

export function getTrialCriterionList(trialId) {
  return request({
    url: `/VisitTask/getTrialCriterionList?TrialId=${trialId}`,
    method: 'get'
  })
}
